#include <bits/stdc++.h>
using namespace std;

int main() {
    long long n;
    cin>>n;
    long long ans=0;
    long long sum=0;
    vector<long long>v;
    for(int i=0;i<n;i++){
        long long x;
        cin>>x;
        v.push_back(x);
        sum+=v[i];
    }
    long long ch=0;
    //cout<<sum<<" ";
    while(sum>0 || v.size()!=0){
        if(v[v.size()-1]-ch<=0){
            break;
        }
        ans+=v[v.size()-1];
        for(int i=0;i<v.size()-1;i++){
            if(v[i]!=v[v.size()-1]){
                v[i]--;
                sum--;
            }
        }
        sum-=v[v.size()-1];
        v.pop_back();
                
    }
    
    cout<<ans;
}
